# **Frequently Asked Questions**

## **What is ReVanced?**

ReVanced is a modular patcher for apps such as YouTube. This project was born out of Vanced's discontinuation and it is our goal to continue the legacy of what Vanced left.

## **How does ReVanced work?**

ReVanced does not distribute any proprietary file but instead provides open-source patches. Patches can be created for any Android app. The ReVanced Manager will use the patcher as its core to apply patches of your choice on your desired app. On rooted devices, ReVanced can mount the patched app over the original application. On non-rooted devices, ReVanced will install it under a different package name.

## **How to get ReVanced?**

ReVanced is and will always be in development! You can follow [Revanced Manager documentation](https://github.com/revanced/revanced-manager/tree/main/docs) to use ReVanced. Alternatively, you can use [ReVanced CLI documentation](https://github.com/revanced/revanced-cli/tree/main/docs).

## **Does ReVanced support non-rooted devices?**

Yes! ReVanced supports non-root and rooted devices.

## **Does or will ReVanced have feature X?**

Currently, the focus is shifted toward fine-tuning existing features, but features can be picked up by anyone. Your contributions are also very welcome.

## **How can I help?**

Since we are an open-source community and depend on outside help, you can always check out our GitHub repositories and contribute to ReVanced by creating an issue or pull requests.

## **Does ReVanced always stay up to date with YouTube?**

Unlike Vanced, our patcher can apply patches to any version of the app. This way, you can use patches on newer or older versions and are independent of us
releasing a newer version. (Sometimes patches can break and will need updates. Check [the documentation](https://www.reddit.com/r/revancedapp/wiki/documentation/) on what versions ReVanced is mainly targeting)

## **Does ReVanced support Music?**

Yes. Patches have been created for YouTube Music and can be created for any other app. The MicroG patch is being worked on to allow ReVanced to work with YouTube Music.

## **Will ReVanced have NFTs?**

We do not intend to create NFTs. It also was never the reason why Vanced shut down and wouldn't be for us as well.

## **Does Vanced still work?**

Vanced is currently semi-functional and can be downloaded from mirrors. Issues include occasional ads and playback issues.

## **Can you support me?**

ReVanced is heavily in development. If you have a problem and need help, please include all relevant information regarding your issue in a new post. That includes information such as when the issue occurred, how it occurred, how we can reproduce the issue, your environment, versions of the tools you used, images and recordings, and your own tests.

## **Will MicroG stay up to date?**

MicroG and Vanced MicroG are currently under development by their respective maintainer.

## **Is ReVanced affiliated with Vanced?**

ReVanced is not affiliated with Vanced.
